Skip to content

Access Control

All operations require authentication.

6 operationsv1/storage/nasha
View as Markdown (opens in a new tab)
Agent setup

List access pathsBeta

GET
/v1/storage/nasha/{serviceName}/share/{shareId}/accessPath

Returns the paths to mount the share. One of them is marked as preferred.

Path parameters

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Response

200AccessPath[]successful operation
id
read-only
stringuuid

Access path ID

path
read-only
string

Export path

preferred
read-only
boolean

Whether this path is preferred

Example uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId}/accessPath \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "00000000-0000-0000-0000-000000000000", "path": "string", "preferred": true }]

List ACLsBeta

GET
/v1/storage/nasha/{serviceName}/share/{shareId}/acl

Returns the ACLs of the share.

Path parameters

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Response

200ACLRule[]successful operation
accessLevel
read-only
NetAppShareACLPermissionEnum

Rule access level

Valuesrorw
accessTo
read-only
string

Rule destination

accessType
read-only
NetAppShareACLTypeEnum

Rule access type

Valuesip
createdAt
read-only
stringdate-time

Rule creation date

id
read-only
stringuuid

ACL rule ID

status
read-only
NetAppShareACLStatusEnum

Rule status

Valuesactiveapplyingdenyingerrorqueued_to_applyqueued_to_deny

Example uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "accessLevel": "ro", "accessTo": "string", "accessType": "ip", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "status": "active" }]

Get an access pathBeta

GET
/v1/storage/nasha/{serviceName}/share/{shareId}/accessPath/{accessPathId}

Returns the export path and whether it is the preferred one.

Path parameters

accessPathId
required
stringuuid

Access path ID

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Response

200AccessPathsuccessful operation
id
read-only
stringuuid

Access path ID

path
read-only
string

Export path

preferred
read-only
boolean

Whether this path is preferred

Example uses accessPathId = 00000000-0000-0000-0000-000000000000, serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId}/accessPath/{accessPathId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "00000000-0000-0000-0000-000000000000", "path": "string", "preferred": true}

Get an ACLBeta

GET
/v1/storage/nasha/{serviceName}/share/{shareId}/acl/{aclRuleId}

Returns the ACL and its status.

Path parameters

aclRuleId
required
stringuuid

Acl rule ID

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Response

200ACLRulesuccessful operation
accessLevel
read-only
NetAppShareACLPermissionEnum

Rule access level

Valuesrorw
accessTo
read-only
string

Rule destination

accessType
read-only
NetAppShareACLTypeEnum

Rule access type

Valuesip
createdAt
read-only
stringdate-time

Rule creation date

id
read-only
stringuuid

ACL rule ID

status
read-only
NetAppShareACLStatusEnum

Rule status

Valuesactiveapplyingdenyingerrorqueued_to_applyqueued_to_deny

Example uses aclRuleId = 00000000-0000-0000-0000-000000000000, serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId}/acl/{aclRuleId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessLevel": "ro", "accessTo": "string", "accessType": "ip", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "status": "active"}

Create an ACLBeta

POST
/v1/storage/nasha/{serviceName}/share/{shareId}/acl

Grants read-write or read-only access to the share to an IPv4 address or CIDR block.

Path parameters

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Request body (required)

accessLevel
required
NetAppShareACLPermissionEnum

Access level (e.g. rw, ro)

Valuesrorw
accessTo
required
string

Access destination: an IPv4 address or an IPv4 CIDR block (e.g. 192.0.2.1 or 192.0.2.0/24)

Response

200ACLRulesuccessful operation
accessLevel
read-only
NetAppShareACLPermissionEnum

Rule access level

Valuesrorw
accessTo
read-only
string

Rule destination

accessType
read-only
NetAppShareACLTypeEnum

Rule access type

Valuesip
createdAt
read-only
stringdate-time

Rule creation date

id
read-only
stringuuid

ACL rule ID

status
read-only
NetAppShareACLStatusEnum

Rule status

Valuesactiveapplyingdenyingerrorqueued_to_applyqueued_to_deny

Example uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessLevel": "ro", "accessTo": "string", "accessType": "ip", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "status": "active"}

Delete an ACLBeta

DELETE
/v1/storage/nasha/{serviceName}/share/{shareId}/acl/{aclRuleId}

Deletes the ACL and revokes the access it granted.

Path parameters

aclRuleId
required
stringuuid

Acl rule ID

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Response

200—successful operation

Example uses aclRuleId = 00000000-0000-0000-0000-000000000000, serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId}/acl/{aclRuleId} \
  -H "authorization: Bearer $OVH_TOKEN"